#ifndef FIREFOX_PLUGIN_H
#define FIREFOX_PLUGIN_H
#include "utils.h"
#include "plugin.h"

class Firefox_plugin : public Plugin
{
public:
    Firefox_plugin();
    QString getName();
    QString getGenericName();
    QString getCommand();
    QIcon getIcon();

    void readConfig();
    Plugin *writeConfig();

    void getPluginConfig(QVBoxLayout *info);

private:
    QIcon icon;
    QString name;
    QString genericName;
    QString command;

    QCheckBox *chkUrl;
    QLineEdit *txtUrl;
    QPushButton *btnFile;

private slots:
    void on_file_selected();
    void on_chk_changed(bool state);
};

#endif // FIREFOX_PLUGIN_H
