#ifndef PLUGIN_H
#define PLUGIN_H
#include "utils.h"
#include <QVBoxLayout>
class Plugin : public QObject
{
Q_OBJECT
public:
    Plugin(){}
    virtual ~Plugin() {}

    virtual QString getName(){
        return "none";
    }

    virtual QString getGenericName(){
        return "None";
    }

    virtual QIcon getIcon(){
        return QIcon::fromTheme("");
    }

    virtual QString getCommand() {return "noop";}
    virtual void readConfig() {}
    virtual Plugin* writeConfig() {return this;} // return command

    virtual void getPluginConfig(QVBoxLayout *info)
    {
        QLabel *lbl = new QLabel("Select an item if you want to automatically start<br/>"
                                 "an application when your linutop boots.");
        info->addWidget(lbl);
    }

private slots:
    virtual void on_file_selected() {}
    virtual void on_chk_changed(bool) {}
    virtual void on_btn_clicked() {}
};

#endif // PLUGIN_H
