#include <QDebug>
#include <QSettings>
#include "utils.h"

Utils::Utils()
{
}

void Utils::writeEntry(QString filepath, QString key, QString value, QString group)
{
    QSettings settings(filepath, QSettings::IniFormat);
    qDebug() << filepath << group + "/" + key << value;
    settings.setValue(group + "/" + key, value);
}

QString Utils::ReadEntry(QString filepath, QString key, QString group)
{
    QSettings settings(filepath, QSettings::IniFormat);
    return settings.value(group + "/" + key, QString()).toString();
}
